Die BPC Version 4.1 wird nicht mehr gewartet.

Sollten Sie diese BPC Version nutzen, empfehlen wir Ihnen eine Migration auf eine aktuelle Version. Die Dokumentation zur neusten BPC Version finden Sie hier. Sollten Sie Fragen haben, wenden Sie sich bitte an unseren Support.

Method Endpoint

GET

/cxf/bpc-logservice/log/instances

Description

Get a compact overview of the available log service instances.

Only the following data is returned for each instance:

  • module instance ID

  • name

  • description

  • flag indicating whether the instance is in maintenance mode

Returns

The log service instances as JSON.

HTTP Status Code

  • 200: OK

  • 401: Authentication could not be performed

  • 503: BPC is currently in maintenance mode

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role: LOG_SERVICE_USER

  • Right: LOG_SERVICE_CONFIG_GET_INSTANCES

GET

/cxf/bpc-logservice/log/instances/{instanceIdOrName}

Description

Get the current configuration of the log service instance.

Path Parameter

instanceIdOrName

This can be either the ID or a unique name of the module instance

Returns

The requested configuration as JSON.

HTTP Status Code

  • 200: OK

  • 401: Authentication could not be performed

  • 404: Module instance was not found

  • 503: BPC is currently in maintenance mode

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role: LOG_SERVICE_USER

  • Right: LOG_SERVICE_CONFIG_GET_INSTANCE

GET

/cxf/bpc-logservice/log/{instanceIdOrName}

Description

Retrieves the data for a log service instance.

Path Parameter

instanceIdOrName

This can be either the ID or a unique name of the module instance

Query Parameter

timezoneOffset

time zone offset, such as GMT+2 (optional). Used if a date field is accessed in the parentFilter with a range operator such as "gt", "gte", "lt", "lte", ">", ">=", ",<,", ",<,=". UTC is the default. timezoneName is used before timezoneOffset if both are set.

timezoneName

timezone name like Europe/Berlin (optional). Is used if a date field is accessed in the parentFilter with a range operator like "gt", "gte", "lt", "lte", ">", ">=", ",<,", ",<,=". UTC is the default. timezoneName is used before timezoneOffset if both are set.

start

first record to be read (optional, default = 0)

limit

number of records to read (optional, default = 100, max. 10.000)

parentQuery

simple search (optional). Example city:berlin. Additional information of the Lucene Query String Syntax.

parentFilter

complex filter format like done from the monitor endpoint (optional). Example: [{"property":"processid","operator":"gte","value":1000,"source":"raw","invert":false}]

parentSort

determination by which field the parent entries should be sorted (optional, default = parent key descending). Format: fieldname|[ASC|DESC]. Example: processid|DESC. Multiple sorting instructions can be specified comma separated.

childSort

determination by which field the child entries should be sorted (optional, default = child key ascending). Format: fieldname|[ASC|DESC]. Example: childid|ASC. Multiple sorting instructions can be specified comma separated.

addChilds

should the response contain the log service child entries?. Default is true.

Returns

The requested data as JSON.

HTTP Status Code

  • 200 : OK

  • 401 : Authentication could not be performed

  • 404 : Module instance was not found

  • 503 : BPC or instance are currently in maintenance mode

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role : LOG_SERVICE_USER

  • Right : LOG_SERVICE_READ_DATA

GET

/cxf/bpc-logservice/log/{instanceIdOrName}/{parentId}

Description

Get the data of a log service entry with its child entries.

Path Parameter

instanceIdOrName

this can be either the ID or a unique name of the module instance

parentId

the ID of the requested log service entry

Query Parameter

timezoneOffset

timezone offset like GMT+2 (optional). Is used if a date field is accessed in the childFilter with a range operator like "gt", "gte", "lt", "lte", ">", ">=", ",<,", ",<,=". UTC is the default. timezoneName is used before timezoneOffset if both are set.

timezoneName

timezone name like Europe/Berlin (optional). Is used if a date field is accessed in the childFilter with a range operator like "gt", "gte", "lt", "lte", ">", ">=", ",<,", ",<,=". UTC is the default. timezoneName is used before timezoneOffset if both are set.

childQuery

simple search (optional). Example city:berlin. Additional information of the Lucene Query String Syntax.

childFilter

complex filter format like done from the monitor endpoint (optional). Example: [{"property":"processid","operator":"gte","value":1000,"source":"raw","invert":false}]

Returns

The requested data as JSON.

HTTP Status Code

  • 200 : OK

  • 401 : Authentication could not be performed

  • 404 : Module instance was not found

  • 503 : BPC or instance are currently in maintenance mode

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role : LOG_SERVICE_USER

  • Right : LOG_SERVICE_READ_DATA

GET

/cxf/bpc-logservice/log/{instanceIdOrName}/{parentId}/{childId}

Description

Get the data of a log service child entry.

Path Parameter

instanceIdOrName

this can be either the ID or a unique name of the module instance

parentId

the ID of the requested log service entry

childId

the ID of the requested child entry

Returns

The requested data as JSON.

HTTP Status Code

  • 200 : OK

  • 401 : Authentication could not be performed

  • 404 : Module instance was not found

  • 503 : BPC or instance are currently in maintenance mode

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role : LOG_SERVICE_USER

  • Right : LOG_SERVICE_READ_DATA

/cxf/bpc-logservice/log/{instanceIdOrName}

Description

Writes the data provided in the body to OpenSearch and/or the database.

For calls from IGUASU the following HTTP headers are used and their values written to the following 'externalReference' object fields of all 'parent' related documents:

HTTP Header 'externalReference' field

IGUASU-System-ID

externalReference.system

IGUASU-Instance-ID

externalReference.instance

IGUASU-Processor-ID

externalReference.processor

IGUASU-Service-ID

externalReference.service

Consumes

  • application/json

Path Parameter

instanceIdOrName

this can be either the ID or a unique name of the module instance

Query Parameter

async

'true' to perform the log asynchronously. 'false' to perform synchronously. Default is false.

Returns

HTTP Status Code

  • 200 : Data has been written

  • 400 : None or invalid data to log given

  • 401 : Authentication could not be performed

  • 404 : Module instance was not found

  • 500 : Failed to write the data

  • 503 : Maintenance mode is active or OpenSearch and database are not activated

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role : LOG_SERVICE_USER

  • Right : LOG_SERVICE_WRITE_DATA

/cxf/bpc-logservice/log/{instanceIdOrName}/{parentId}

Description

Deletes log service entries and their child entries from OpenSearch and the database. Attention: When you use 'childQuery' and/or 'childFilter' only those children get deleted, not the parent itself.

Path Parameter

instanceIdOrName

this can be either the ID or a unique name of the module instance

parentId

the ID of the log service entry to delete, multiple entries can be provided and must be separated by comma

Query Parameter

timezoneOffset

timezone offset like GMT+2 (optional). Is used if a date field is accessed in the childFilter with a range operator like "gt", "gte", "lt", "lte", ">", ">=", ",<,", ",<,=". UTC is the default. timezoneName is used before timezoneOffset if both are set.

timezoneName

timezone name like Europe/Berlin (optional). Is used if a date field is accessed in the childFilter with a range operator like "gt", "gte", "lt", "lte", ">", ">=", ",<,", ",<,=". UTC is the default. timezoneName is used before timezoneOffset if both are set.

childQuery

simple search (optional). Example city:berlin. Additional information of the Lucene Query String Syntax.

childFilter

complex filter format like done from the monitor endpoint (optional). Example: [{"property":"processid","operator":"gte","value":1000,"source":"raw","invert":false}]

Returns

HTTP Status Code

  • 200 : Data has been deleted

  • 401 : Authentication could not be performed

  • 404 : Module instance was not found

  • 500 : Delete failed

  • 503 : Maintenance mode is active or OpenSearch and database are not activated

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role : LOG_SERVICE_USER

  • Right : LOG_SERVICE_DELETE_DATA

/cxf/bpc-logservice/log/{instanceIdOrName}/{parentId}/{childId}

Description

Deletes log service child entries from OpenSearch and the database.

Path Parameter

instanceIdOrName

this can be either the ID or a unique name of the module instance

parentId

the ID of the log service entry to delete the child entries from

childId

the ID of the child entry to delete, multiple entries can be provided and must be separated by comma

Returns

HTTP Status Code

  • 200 : Data has been deleted

  • 401 : Authentication could not be performed

  • 404 : Module instance was not found

  • 500 : Delete failed

  • 503 : Maintenance mode is active or OpenSearch and database are not activated

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role : LOG_SERVICE_USER

  • Right : LOG_SERVICE_DELETE_DATA

/cxf/bpc-logservice/log/{instanceIdOrName}

Description

Deletes log service entries and their child entries from OpenSearch by query. Deletion from database is not supported.

Consumes

  • application/json

Path Parameter

instanceIdOrName

this can be either the ID or a unique name of the module instance

Query Parameter

timezoneOffset

timezone offset like GMT+2 (optional). Is used if a date field is accessed in the parentFilter with a range operator like "gt", "gte", "lt", "lte", ">", ">=", ",<,", ",<,=". UTC is the default. timezoneName is used before timezoneOffset if both are set.

timezoneName

timezone name like Europe/Berlin (optional). Is used if a date field is accessed in the parentFilter with a range operator like "gt", "gte", "lt", "lte", ">", ">=", ",<,", ",<,=". UTC is the default. timezoneName is used before timezoneOffset if both are set.

parentQuery

simple search (optional). Example city:berlin. Additional information of the Lucene Query String Syntax.

parentFilter

complex filter format like done from the monitor endpoint (optional). Example: [{"property":"processid","operator":"gte","value":1000,"source":"raw","invert":false}]

Returns

HTTP Status Code

  • 200 : Data has been deleted

  • 401 : Authentication could not be performed

  • 404 : Module instance was not found

  • 500 : Delete failed

  • 503 : Maintenance mode is active or OpenSearch and database are not activated

Content-Type

  • application/json

Required Access Rights

The logged-in user or API key must have either the following role or permission.

  • Role : LOG_SERVICE_USER

  • Right : LOG_SERVICE_DELETE_DATA

/cxf/bpc-logservice/log/{instanceIdOrName}/children

Description

Deletes only log service child entries from OpenSearch by query. Deletion from database is not supported.

Consumes

  • application/json

Path Parameter

instanceIdOrName

this can be either the ID or a unique name of the module instance

Query Parameter

timezoneOffset

timezone offset like GMT+2 (optional). Is used if a date field is accessed in the childFilter with a range operator like "gt", "gte", "lt", "lte", ">", ">=", ",<,", ",<,=". UTC is the default. timezoneName is used before timezoneOffset if both are set.

timezoneName

timezone name like Europe/Berlin (optional). Is used if a date field is accessed in the childFilter with a range operator like "gt", "gte", "lt", "lte", ">", ">=", ",<,", ",<,=". UTC is the default. <INLINE_CODE_179/> is used before <INLINE_CODE_180/> if both are set.<NL/><INLINE_CODE_181/>:: simple search (optional). Example <INLINE_CODE_182/>. Additional information on the <URL_4>Lucene Query String Syntax</URL_4>.<NL/><INLINE_CODE_183/>:: complex filter format similar to that used by the monitor endpoint (optional). Example: <INLINE_CODE_184/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Returns</BOLD></BOLD><NL/><NL/>HTTP Status Code<NL/><NL/>- <INLINE_CODE_185/> : Data has been deleted<NL/>- <INLINE_CODE_186/> : Authentication could not be performed<NL/>- <INLINE_CODE_187/> : Module instance was not found<NL/>- <INLINE_CODE_188/> : Delete failed<NL/>- <INLINE_CODE_189/> : Maintenance mode is active or OpenSearch and the database are not activated<NL/><NL/>Content-Type<NL/><NL/>- <INLINE_CODE_190/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Required Access Rights</BOLD></BOLD><NL/><NL/><INCLUDE_9/><NL/><NL/>- Role: <INLINE_CODE_191/><NL/>- Right: <INLINE_CODE_192/><NL/><NL/><NL/>// ================================================================================================<NL/><NL/><BLOCK_TITLE/>5+<PIPE/> <ADMONITION_10> <INLINE_CODE_193/></ADMONITION_10><PIPE/> <INLINE_CODE_194/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Description</BOLD></BOLD><NL/><NL/>Deletes/drops the parent and child indexes of a log service instance.<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Path Parameter</BOLD></BOLD><NL/><NL/><INLINE_CODE_195/>:: this can be either the ID or a unique name of the module instance<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Returns</BOLD></BOLD><NL/><NL/>HTTP Status Code<NL/><NL/>- <INLINE_CODE_196/> : Indexes deleted<NL/>- <INLINE_CODE_197/> : Authentication failed<NL/>- <INLINE_CODE_198/> : Module instance not found<NL/>- <INLINE_CODE_199/> : Delete failed<NL/>- <INLINE_CODE_200/> : Maintenance mode is active or OpenSearch and the database are not enabled<NL/><NL/>Content-Type<NL/><NL/>- <INLINE_CODE_201/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Required Access Rights</BOLD></BOLD><NL/><NL/><INCLUDE_10/><NL/><NL/>- Role : <INLINE_CODE_202/><NL/>- Right: <INLINE_CODE_203/><NL/><NL/><NL/>// ================================================================================================<NL/><NL/><BLOCK_TITLE/>5+<PIPE/> <ADMONITION_11> <INLINE_CODE_204/></ADMONITION_11><PIPE/> <INLINE_CODE_205/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Description</BOLD></BOLD><NL/><NL/>Creates a BPC deeplink to redirect the caller to the admin page of a log service instance.<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Path Parameter</BOLD></BOLD><NL/><NL/><INLINE_CODE_206/>:: This can be either the ID or a unique name of the log service module instance<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Returns</BOLD></BOLD><NL/><NL/>The requested data as JSON.<NL/><NL/>HTTP Status Code<NL/><NL/>- <INLINE_CODE_207/> : OK<NL/>- <INLINE_CODE_208/> : Authentication could not be performed<NL/>- <INLINE_CODE_209/> : Module instance was not found<NL/>- <INLINE_CODE_210/> : BPC or instance are currently in maintenance mode<NL/><NL/>Content-Type<NL/><NL/>- <INLINE_CODE_211/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Required Access Rights</BOLD></BOLD><NL/><NL/><INCLUDE_11/><NL/><NL/><NL/>// ================================================================================================<NL/><NL/><BLOCK_TITLE/>6+<PIPE/> <ADMONITION_12> <INLINE_CODE_212/></ADMONITION_12><PIPE/> <INLINE_CODE_213/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Description</BOLD></BOLD><NL/><NL/>Redirects the user to the monitor using the OpenSearch indices of the log service instance.<NL/><NL/>All provided query parameters are used to build a monitor filter on fields of the 'externalReference' object.<NL/><NL/>For IGUASU, the following query parameters can be used to access the HTTP header values from when the entry was created.<NL/><NL/>!===<NL/>!Query parameter !HTTP header<NL/><NL/>!system !IGUASU-System-ID<NL/>!instance !IGUASU-Instance-ID<NL/>!processor !IGUASU-Processor-ID<NL/>!service !IGUASU-Service-ID<NL/>!===<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Path Parameter</BOLD></BOLD><NL/><NL/><INLINE_CODE_214/>:: this can be either the ID or a unique name of the log service module instance<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Query Parameter</BOLD></BOLD><NL/><NL/><INLINE_CODE_215/>:: optional URL parameter. Text or language key for the window title<NL/><INLINE_CODE_216/>:: optional URL parameter. Text or language key for the prompt text<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Returns</BOLD></BOLD><NL/><NL/>The requested data as JSON.<NL/><NL/>HTTP Status Code<NL/><NL/>- <INLINE_CODE_217/> : OK<NL/>- <INLINE_CODE_218/> : Authentication could not be performed<NL/>- <INLINE_CODE_219/> : Module instance was not found<NL/>- <INLINE_CODE_220/> : BPC deep link could not be created<NL/>- <INLINE_CODE_221/> : BPC or instance is currently in maintenance mode<NL/><NL/>Content-Type<NL/><NL/>- <INLINE_CODE_222/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Required Access Rights</BOLD></BOLD><NL/><NL/><INCLUDE_12/><NL/><NL/><NL/><TABLE/><NL/>